import argparse,sys,subprocess
from os.path import expanduser,join
resolvePath = expanduser
pathJoin = join

def mkdir(path,flags=["-p"]):
	return subprocess.run(["/bin/mkdir"]+flags+[resolvePath(path)])

def main(argv=sys.argv):
	parser = argparse.ArgumentParser(prog="newlog",description="Allows you to pre-format new logs for cosmic.voyage.")
	parser.add_argument("-n","--number-file",default="~/.newlog/number",help="Change the file used to keep track of the number log.")
	args=parser.parse_args(argv)
	print(args)
