#!/usr/bin/env python

import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, 'README.md')) as f:
    README = f.read()

REQUIREMENTS = []

setup(
    name='cosmic.voyage-newlog',
    version='0.1.0',
    description='cosmic.voyage-newlog',
    long_description=README,
    author='Robert Miles',
    author_email='khuxkm@tilde.team',
    url='https://tildegit.org/khuxkm/cosmic-newlog',
    license="MIT",
    install_requires=REQUIREMENTS,
    keywords=[],
    packages=find_packages(),
    classifiers=[
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.3',
    ],
    entry_points={
        'console_scripts': ['newlog = newlog.console:main']
    },
)
